Groovy Documentation

## org.codehaus.groovy.runtime.metaclass
[Java] Class ClosureStaticMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.metaclass.ClosureStaticMetaMethod

All Implemented Interfaces:
  ClosureInvokingMethod

    public class ClosureStaticMetaMethod
    extends MetaMethod

This class represents a MetaMethod that is a closure that pretends to be a static method. It is used by ExpandoMetaClass to allow addition of static methods defined as closures

Authors:
  Graeme Rocher

Since:
  01.1

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`ClosureStaticMetaMethod(java.lang.String name, java.lang.Class declaringClass, Closure c)` @param name The name of the MetaMethod
`ClosureStaticMetaMethod(java.lang.String name, java.lang.Class declaringClass, Closure c, java.lang.Class[] paramTypes)`

Method Summary
`Closure` | `getClosure()` Retrieves the closure that is invoked by this MetaMethod
`CachedClass` | `getDeclaringClass()`
`int` | `getModifiers()`
`java.lang.String` | `getName()`
`java.lang.Class` | `getReturnType()`
`java.lang.Object` | `invoke(java.lang.Object object, java.lang.Object[] arguments)`

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ClosureStaticMetaMethod

    public ClosureStaticMetaMethod(java.lang.String name, java.lang.Class declaringClass, Closure c)

  Parameters:
    `name` - The name of the MetaMethod
    `declaringClass` - The class which declared the MetaMethod
    `c` - The closure that this ClosureMetaMethod will invoke when called

### ClosureStaticMetaMethod

    public ClosureStaticMetaMethod(java.lang.String name, java.lang.Class declaringClass, Closure c, java.lang.Class[] paramTypes)

Method Detail

### getClosure

    public Closure getClosure()

  Retrieves the closure that is invoked by this MetaMethod
  Returns:
    The closure

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getModifiers

    public int getModifiers()

### getName

    public java.lang.String getName()

### getReturnType

    public java.lang.Class getReturnType()

### invoke

    public java.lang.Object invoke(java.lang.Object object, java.lang.Object[] arguments)

Groovy Documentation